Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFFirstHeader

    java.lang.Object
      org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter
          org.apache.poi.xssf.usermodel.XSSFFirstHeader

All Implemented Interfaces:
  Header, HeaderFooter

    public class XSSFFirstHeader

extends XSSFHeaderFooter
implements Header

First page header content. Corresponds to first printed page. The first logical page in the sheet may not be printed, for example, if the print area is specified to be a range such that it falls outside the first page's scope.

Constructor Summary
`protected` | `XSSFFirstHeader(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)` Create an instance of XSSFFirstHeader from the supplied XML bean

Method Summary
`java.lang.String` | `getText()` Get the content text representing this header
`void` | `setText(java.lang.String text)` Set a text for the header.

Methods inherited from class org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter
`areFieldsStripped, getCenter, getHeaderFooter, getLeft, getRight, getValue, setAreFieldsStripped, setCenter, setLeft, setRight, stripFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.Header
`getCenter, getLeft, getRight, setCenter, setLeft, setRight`

Constructor Detail

### XSSFFirstHeader

    protected XSSFFirstHeader(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)

  Create an instance of XSSFFirstHeader from the supplied XML bean

  Parameters:
    `headerFooter` -
  See Also:
    `XSSFSheet.getFirstHeader()`

Method Detail

### getText

    public java.lang.String getText()

  Get the content text representing this header

  Specified by:
    `getText` in class `XSSFHeaderFooter`
  Returns:
    text

### setText

    public void setText(java.lang.String text)

  Set a text for the header. If null unset the value

  Specified by:
    `setText` in class `XSSFHeaderFooter`
  Parameters:
    `text` - - a string representing the header.
  See Also:
    `to see how to create a string with Header/Footer Formatting Syntax`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.